1.2
1.2
get /v1/internet-gateways
Description
Get Internet Gateway list.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Internet Gateway ID Example : 023c57b14f11483689338d085e061492 | any of [string, null] | None |
| query | name optional | Internet Gateway Name Example : IGW_VPCname | any of [string, null] | None |
| query | type optional | Internet Gateway Type Example : | enum (IGW, GGW, SIGW) | |
| query | state optional | State Example : | string | |
| query | vpc_id optional | VPC Id Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | |
| query | vpc_name optional | VPC Name Example : vpcName | any of [string, null] |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InternetGatewayListResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/internet-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"internet_gateways": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Internet Gateway Description",
"firewall_id": "b156740b6335468d8354eb9ef8eddf5a",
"id": "023c57b14f11483689338d085e061492",
"loggable": false,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "IGW_VPCname",
"state": "CREATING",
"type": "IGW",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}